libsecret-tools_0.18-1+b1_amd64.deb


Advertisement

Description

libsecret-tools - tool for storing and retrieving GObject passwords

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libsecret-tools
Package version 0.18
Package release 1+b1
Package architecture amd64
Package type deb
Installed size 63 B
Download size 12.38 KB
Official Mirror ftp.br.debian.org
This package provides a command line tool using libsecret to access
the freedesktop.org Secret Service API. This can be used to store
and retrieve passwords for desktop applications.

Alternatives

Package Version Architecture Repository
libsecret-tools_0.18-1+b1_i386.deb 0.18 i386 Debian Main
libsecret-tools - - -

Requires

Name Value
libc6 >= 2.4
libglib2.0-0 >= 2.38.0
libsecret-1-0 >= 0.7

Download

Type URL
Binary Package libsecret-tools_0.18-1+b1_amd64.deb
Source Package libsecret

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libsecret-tools deb package:
    # sudo apt-get install libsecret-tools

Files

Path
/usr/bin/secret-tool
/usr/share/doc/libsecret-tools/changelog.Debian.amd64.gz
/usr/share/doc/libsecret-tools/changelog.Debian.gz
/usr/share/doc/libsecret-tools/changelog.gz
/usr/share/doc/libsecret-tools/copyright
/usr/share/man/man1/secret-tool.1.gz

Changelog

2014-03-23 - Andreas Henriksson <andreas@fatal.se>
libsecret (0.18-1) unstable; urgency=low
[ Jeremy Bicha ]
* debian/rules:
- Build with --disable-silent-rules for a useful build log
* Update homepage
[ Michael Biebl ]
* New upstream release (0.16).
* Refresh patches.
[ Jackson Doak ]
* debian/control:
- Improve description of libsecret-tools. Closes: #711475
[ Andreas Henriksson ]
* New upstream release (0.18)
* Bump glib build-dependency to >= 2.38.0 according to configure.ac
* Drop debian/patches, both patches obsolete.
- debian/patches/dont_run_gjs_tests.patch
- debian/patches/introspection-dir.patch
* Bump Standards-Version to 3.9.5
* Update debian/libsecret-1-0.symbols
- Missing secret_service_new* symbols...
- See https://git.gnome.org/browse/libsecret/commit/?id=1758194f26a41
- "The _new() suffix confuses vala and gobject introspection [...]
This is an API/API break, but its to the portion of the library
marked as unstable. [...]"
- Also adds several new symbols
* Add "Breaks: libsecret (<< 3.12)" to libsecret-1-0 to handle above.
* Install Secret g-i typelib file from multiarch path.
* debian/rules: quote the wildcard argument of find to avoid premature exp.
2013-05-24 - Michael Biebl <biebl@debian.org>
libsecret (0.15-2) unstable; urgency=low
* Upload to unstable.
* Don't hard-code dpkg in Pre-Depends but use ${misc:Pre-Depends} instead.
* Add Vcs-* fields.
* Drop alternative Build-Depends on valac-0.18. No longer required since
valac is now recent enough.
* Bump Standards-Version to 3.9.4. No further changes.
2013-03-24 - Andreas Henriksson <andreas@fatal.se>
libsecret (0.15-1) experimental; urgency=low
* New upstream release.
2013-03-16 - Andreas Henriksson <andreas@fatal.se>
libsecret (0.14-1) experimental; urgency=low
[ Rico Tzschichholz ]
* debian/control:
- Add multiarch annotations and pre-depends
[ Andreas Henriksson ]
* New upstream release.
* Update debian/libsecret-1-0.symbols: added SECMEM_pool_data_v1_0@Base 0.14
2012-11-02 - Sjoerd Simons <sjoerd@debian.org>
libsecret (0.11-1) experimental; urgency=low
* New upstrema release
2012-10-05 - Sjoerd Simons <sjoerd@debian.org>
libsecret (0.10-1) experimental; urgency=low
* Upload to Debian
2012-08-23 - Jeremy Bicha <jbicha@ubuntu.com>
libsecret (0.9-0ubuntu3) quantal; urgency=low
* debian/control:
- Build-depend on gtk-doc-tools instead of xsltproc
- Don't explicitly build-depend on gir1.2-glib-2.0
- Add homepage
* debian/libsecret-1-dev.install: Install vapi files
2012-08-20 - Sebastien Bacher <seb128@ubuntu.com>
libsecret (0.9-0ubuntu2) quantal; urgency=low
* debian/control: Build-Depends on xsltproc
2012-08-20 - Sebastien Bacher <seb128@ubuntu.com>
libsecret (0.9-0ubuntu1) quantal; urgency=low
* New upstream version
* debian/libsecret-tools.install:
- install the manpage
* debian/patches/copying-test.patch:
- dropped, the fix is in the new version
* debian/patches/git_test_issue.patch:
- dropped, the fix is in the new version
2012-08-07 - Sebastien Bacher <seb128@debian.org>
libsecret (0.8-0ubuntu2) quantal; urgency=low
* debian/control:
- Build-Depends on dbus-test-runner, python-dbus, python-gobject
* debian/patches/dont_run_gjs_tests.patch:
- don't run gjs tests since gjs is in universe
* debian/rules:
- enable tests but don't fail build on issues yet, there are issues
when running them under fakeroot for example (dbus doesn't like it)
* debian/copyright: drop reference to common-license BSD 
(lintian warning)

See Also

Package Description
libsefs-dev_3.3.8-3.1_amd64.deb Security Enhanced Linux file context management development
libsefs4_3.3.8-3.1_amd64.deb Security Enhanced Linux file context management
libsegment-java_1.3.5~svn57+dfsg-1.1_all.deb Rule based text splitting library
libselinux1-dev_2.3-2_amd64.deb SELinux development headers
libselinux1_2.3-2_amd64.deb SELinux runtime shared libraries
libsemanage-common_2.3-1_all.deb Common files for SELinux policy management libraries
libsemanage1-dev_2.3-1+b1_amd64.deb Header files and libraries for SELinux policy manipulation
libsemanage1_2.3-1+b1_amd64.deb SELinux policy management library
libsemweb1.0-cil_1.05+dfsg-5_all.deb Semantic Web/RDF library
libsendlater4_4.14.1-1+deb8u1_amd64.deb send later library
libsendmail-milter-perl_0.18-7+b7_amd64.deb Interface to Sendmail's Mail Filter API
libsendmail-pmilter-perl_1.00-1_all.deb Perl implementation of the Sendmail Milter protocol
libsensors-applet-plugin-dev_3.0.0+git4-4_amd64.deb Create plugins for the 'sensors-applet' package
libsensors-applet-plugin0_3.0.0+git4-4_amd64.deb Library for plugins for the 'sensors-applet' package
libsensors4-dev_3.3.5-2_amd64.deb lm-sensors development kit
Advertisement
Advertisement